--!parent
--!encoding=utf-8

--****************************************************************************
-- @file      LSW CORE LIB: CURL - CURLINFO CONSTANTS EXTENSION
-- @author    Valentin Schmidt
-- @version   0.1
--****************************************************************************

property CURLINFO

----------------------------------------
-- @constructor
----------------------------------------
on new (me)

  info = [:]
  info[#APPCONNECT_TIME] = 3145761
  info[#CERTINFO] = 4194338
  info[#CONDITION_UNMET] = 2097187
  info[#CONNECT_TIME] = 3145733
  info[#CONTENT_LENGTH_DOWNLOAD] = 3145743
  info[#CONTENT_LENGTH_UPLOAD] = 3145744
  info[#CONTENT_TYPE] = 1048594
  info[#COOKIELIST] = 4194332
  info[#EFFECTIVE_URL] = 1048577
  info[#FILETIME] = 2097166
  info[#FTP_ENTRY_PATH] = 1048606
  info[#HEADER_SIZE] = 2097163
  info[#HTTP_CONNECTCODE] = 2097174
  info[#HTTPAUTH_AVAIL] = 2097175
  info[#LASTSOCKET] = 2097181
  info[#LOCAL_IP] = 1048617
  info[#LOCAL_PORT] = 2097194
  info[#NAMELOOKUP_TIME] = 3145732
  info[#NUM_CONNECTS] = 2097178
  info[#OS_ERRNO] = 2097177
  info[#PRETRANSFER_TIME] = 3145734
  info[#PRIMARY_IP] = 1048608
  info[#PRIMARY_PORT] = 2097192
  info[#PRIVATE] = 1048597
  info[#PROXYAUTH_AVAIL] = 2097176
  info[#REDIRECT_COUNT] = 2097172
  info[#REDIRECT_TIME] = 3145747
  info[#REDIRECT_URL] = 1048607
  info[#REQUEST_SIZE] = 2097164
  info[#RESPONSE_CODE] = 2097154
  info[#RTSP_CLIENT_CSEQ] = 2097189
  info[#RTSP_CSEQ_RECV] = 2097191
  info[#RTSP_SERVER_CSEQ] = 2097190
  info[#RTSP_SESSION_ID] = 1048612
  info[#SIZE_DOWNLOAD] = 3145736
  info[#SIZE_UPLOAD] = 3145735
  info[#SPEED_DOWNLOAD] = 3145737
  info[#SPEED_UPLOAD] = 3145738
  info[#SSL_ENGINES] = 4194331
  info[#SSL_VERIFYRESULT] = 2097165
  info[#STARTTRANSFER_TIME] = 3145745
  info[#TLS_SESSION] = 4194347
  info[#TOTAL_TIME] = 3145731

  me.CURLINFO = info

  return me
end